ColumnInfo Column metadata from information_schema.
column_name
stringdata_type
stringis_nullable
stringAPI route specs for database administration.
Generic PostgreSQL table browser using information_schema.
Provides: list tables, view columns/rows (paginated), delete rows by PK, health check.
8 declarations
ColumnInfo Column metadata from information_schema.
column_namestringdata_typestringis_nullablestring(options: DbRouteOptions): RouteSpec[] Create the db API route specs.
optionsRouteSpec[] 100 Default page size for GET /tables/:name rows.
1000 Maximum page size for GET /tables/:name rows.
DbRouteOptions Per-factory configuration for db routes.
db_typedb_namestringextra_statsOptional callback to provide app-specific stats in the health response.
(db: Db) => Promise<Record<string, unknown>>logOptional logger for server-side diagnostics (e.g. FK violation details).
LoggerPrimaryKeyInfo Primary key constraint info.
column_namestringTableInfo Table metadata from information_schema.
table_namestringTableWithCount Table info with row count.
namestringrow_countnumber